Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Проблема с apt-get и mysql-server 5.0  (Прочитано 967 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Aliance

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Проблема с apt-get и mysql-server 5.0
« : 21 Сентябрь 2008, 22:48:56 »
Доброго всем времени суток!

хочу обновить свой дистрибутив. Сейчас у меня версия Ubuntu 6.10 Edgy Eft. Нашел некий мануал.
До обновления нужно обновить все компоненты.
Так вот, возникла проблема с обновлением mysql server 5.0
Когда загружаю его пишет такое:
Цитировать
E: /var/cache/apt/archives/mysql-server-5.0_5.0.24a-9ubuntu2.4_i386.deb: подпроцесс новый скрипт, выполняемый pre-removal возвратил код ошибки 1

При выполнении sudo apt-get update - все прошло удачно, но при выполнении sudo apt-get upgrade система вернула следующее:
Цитировать
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Пакеты, которые будут обновлены:
  mysql-server-5.0
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0B/24,9MB архивов.
После распаковки объем занятого дискового пространства возрастёт на 20,5kB.
Хотите продолжить [Д/н]? д
Предварительная настройка пакетов ...
(Чтение базы данных... на данный момент установлено 131378 файлов и каталогов.)
Подготовка к замене пакета mysql-server-5.0 5.0.24a-9 (используется файл .../mysql-server-5.0_5.0.24a-9ubuntu2.4_i386.deb)...
 * Stopping MySQL database server mysqld                                                                               [fail]
invoke-rc.d: initscript mysql, action "stop" failed.
dpkg: предупреждение -- старый скрипт, выполняемый pre-removal возвратил код ошибки 1
dpkg: попытка использовать скрипт из нового пакета...
 * Stopping MySQL database server mysqld                                                                               [fail]
invoke-rc.d: initscript mysql, action "stop" failed.
dpkg: не удалось обработать параметр /var/cache/apt/archives/mysql-server-5.0_5.0.24a-9ubuntu2.4_i386.deb (--unpack):
 подпроцесс новый скрипт, выполняемый pre-removal возвратил код ошибки 1
 * Stopping MySQL database server mysqld                                                                               [fail]
invoke-rc.d: initscript mysql, action "stop" failed.
 * Starting MySQL database server mysqld                                                                               [ ok ]
/usr/bin/mysqladmin: connect to server at 'localhost' failed
error: 'Access denied for user 'debian-sys-maint'@'localhost' (using password: YES)'
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/mysql-server-5.0_5.0.24a-9ubuntu2.4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Пробовал останавливать его вручную - не помогает:
Цитировать
# etc/init.d/mysql stop
 * Stopping MySQL database server mysqld                                                                               [fail]

Кстати, в ответ на команду etc/init.d/mysql status вот что возвращается:
Цитировать
# etc/init.d/mysql status
/usr/bin/mysqladmin: connect to server at 'localhost' failed
error: 'Access denied for user 'debian-sys-maint'@'localhost' (using password: YES)'
 *

Пытался воспользоваться sudo apt-get --purge remove mysql-server-5.0 - тоже ничего не помогает.

Помогите решить проблему!

Вот мой /etc/apt/sources.list:
Цитировать
# deb cdrom:[Ubuntu 6.10 _Edgy Eft_ - Release i386 (20061025)]/ edgy main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy main restricted #Added by software-properties

deb http://old-releases.ubuntu.com/ubuntu/ edgy main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy restricted main universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://old-releases.ubuntu.com/ubuntu/ edgy-updates main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy-updates main restricted #Added by software-properties

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://old-releases.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://old-releases.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse #Added by software-properties

deb http://old-releases.ubuntu.com/ubuntu edgy-security main restricted
deb-src http://old-releases.ubuntu.com/ubuntu edgy-security main restricted #Added by software-properties
# deb http://old-releases.ubuntu.com/ubuntu edgy-security universe
# deb-src http://old-releases.ubuntu.com/ubuntu edgy-security universe
# deb http://www.getautomatix.com/apt edgy main

#AUTOMATIX REPOS START

deb http://archive.canonical.com/ubuntu dapper-commercial main

deb http://old-releases.ubuntu.com/ubuntu/ edgy-updates universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy-updates universe multiverse #Added by software-properties

deb http://old-releases.ubuntu.com/ubuntu/ edgy-security main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy-security main restricted universe multiverse #Added by software-properties

deb http://old-releases.ubuntu.com/ubuntu/ edgy multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ edgy multiverse #Added by software-properties
#AUTOMATIX REPOS END

Оффлайн Aliance

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблема с apt-get и mysql-server 5.0
« Ответ #1 : 22 Сентябрь 2008, 13:07:02 »
Посоветовали с помошью sysv-rc-conf отключить MySQL Демона. Как считаете, есть смысл?

Оффлайн Aliance

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблема с apt-get и mysql-server 5.0
« Ответ #2 : 22 Сентябрь 2008, 23:39:21 »
У кого-нибудь есть идеи?

Оффлайн Aliance

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблема с apt-get и mysql-server 5.0
« Ответ #3 : 27 Сентябрь 2008, 00:31:36 »
как много посоветовали на этом форуме! :idiot2:

Оффлайн kostryukov

  • Старожил
  • *
  • Сообщений: 1588
  • everybody lies
    • Просмотр профиля
    • kostryukov.net
Re: Проблема с apt-get и mysql-server 5.0
« Ответ #4 : 09 Апрель 2009, 18:48:13 »
таже проблема... ниче не придумал, как удалить то

Пользователь решил продолжить мысль 09 Апрель 2009, 19:11:29:
вот мне помогло
sudo killall mysqld
и патом
sudo apttitude remove mysql-server

« Последнее редактирование: 09 Апрель 2009, 19:11:29 от kostrukov »
у меня можно спросить=)

 

Страница сгенерирована за 0.056 секунд. Запросов: 22.